Subject: Re: bug#28180: [w32] Unicode characters in subprocess (git) arguments changed to space

From: Noam Postavsky <[email-masked]>
Date: Tue, 29 Aug 2017 18:06:01 -0400

On Mon, Aug 28, 2017 at 10:42 AM, Noam Postavsky
<[email-masked]> wrote:

> Just to understand the issue better, I applied the attached diff to
> use CreateProcessW. It seemed to work, but only when I start emacs
> from mingw's msys shell. When running from cmd.exe it still translates
> to space.

Ugh, it's just a stupid mistake on my part, I changed the argument
encoding to utf8 in make-process instead of call-process. It
*appeared* to work because msys sets LANG to en_US.UTF-8.